package com.javacodegeeks.basics_of_servlets.listeners;

import javax.servlet.ServletRequest;
import javax.servlet.http.HttpServletRequest;

final class ListenerHelper {

    private ListenerHelper() {
        throw new IllegalStateException("Instantiation not allowed");
    }

    static String getRequestURL(final ServletRequest request) {
        return ((HttpServletRequest) request).getRequestURL().toString();
    }

    static String getCurrentThreadName() {
        return Thread.currentThread().getName();
    }
}
